VSTGUI 4.10 Graphical User Interface Framework not only for VST plugins

- Main Page
- Related Pages
- Modules
- Namespaces
- Classes

- Namespace List
- Namespace Members

All Classes Namespaces Functions Variables Typedefs Enumerations Enumerator Friends Groups Pages
Namespaces | Enumerations | Functions
VSTGUI::PixelBuffer Namespace Reference

## Namespaces
namespace | Private

## Enumerations
enum | Format { ARGB, RGBA, ABGR, BGRA }

## Functions
void | convert (Format srcFormat, Format dstFormat, uint8_t *buffer, uint32_t bytesPerRow, uint32_t width, uint32_t height)
| Convert a buffer of 32 bit pixels from one format to another.

## Enumeration Type Documentation

enum Format

Enumerator
ARGB |
RGBA |
ABGR |
BGRA |

## Function Documentation

void convert | ( | Format | srcFormat,
|  | Format | dstFormat,
|  | uint8_t * | buffer,
|  | uint32_t | bytesPerRow,
|  | uint32_t | width,
|  | uint32_t | height
| ) |  |

Convert a buffer of 32 bit pixels from one format to another.

Parameters

  srcFormat | Source Pixel Format
  dstFormat | Destination Pixel Format
  buffer | Pixel Buffer
  bytesPerRow | Number of bytes per row in buffer
  width | Number of pixels per row
  height | Number of rows